{$I UOpt.INC}				(* Standard Conditional-Defines *)
unit Uabout;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, Ccube, Dialogs, SysUtils, Gauges, UVersion;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TBitBtn;
    CubeSpin1: TCubeSpin;
    ImageUweC: TImage;
    LabelAppName: TLabel;
    LabelAppVersion: TLabel;
    LabelBuild: TLabel;
    MemoUweC: TMemo;
    GaugeWait: TGauge;
    BitBtnCToClip: TBitBtn;
    procedure OKButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BitBtnCToClipClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

(*--------------------------------------*)
implementation

{$R *.DFM}

(*--------------------------------------*)
procedure TAboutBox.OKButtonClick(Sender: TObject);

VAR
  dwTimeStart	: DWORD;
  dwWait_ms	: DWORD;

begin
LabelBuild.Caption	:= 'V'+ GetPVInfo( Application, viFileVersion );
{$IFDEF Test}
  dwWait_ms		:= 2000;
  LabelBuild.Caption    := LabelBuild.Caption+' debug';
 {$ELSE}
  dwWait_ms		:= 10000;
  LabelBuild.Caption    := LabelBuild.Caption+' retail';
  {$ENDIF}
{$IFDEF DEMOVERSION}
  LabelBuild.Caption    := LabelBuild.Caption+' demo';
  {$ENDIF}

LabelAppVersion.Visible	:= false;
OKButton.Visible	:= false;
CubeSpin1.Visible	:= false;
GaugeWait.MaxValue	:= dwWait_ms;
BitBtnCToClip.Visible   := true;
GaugeWait.Visible	:= true;
LabelBuild.Visible	:= true;
MemoUweC.Visible	:= true;
ImageUweC.Visible	:= true;
dwTimeStart		:= GetTickCount;
WHILE GetTickCount-dwTimeStart < dwWait_ms DO
  BEGIN
  GaugeWait.Progress	:= GetTickCount-dwTimeStart;
  GaugeWait.ForeColor   := RGB( ((GetTickCount-dwTimeStart) DIV 20) MOD 255,
				 255-((GetTickCount-dwTimeStart) DIV 20) MOD 255,
				(127-((GetTickCount-dwTimeStart) DIV 20) MOD 127)*2
				);
  Application.ProcessMessages;
  END;
ImageUweC.Visible	:= false;
Close;
end;

(*--------------------------------------*)
procedure TAboutBox.FormCreate(Sender: TObject);

begin
Caption := Application.Title + ' - About';
end;

(*--------------------------------------*)
procedure TAboutBox.BitBtnCToClipClick(Sender: TObject);

begin
WITH MemoUweC DO
  BEGIN
  SelectAll;
  CopyToClipBoard;
  END;
END;

(*--------------------------------------*)
END.

